#
# spec file for package libnids
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libnids
Version:        1.24
%define soname 1.24
Release:        1.1
License:        GPL-2.0+
Summary:        Network Intrusion Detection System Library
Url:            http://libnids.sourceforge.net/
Group:          System/Libraries
Source:         http://softlayer.dl.sourceforge.net/project/libnids/libnids/1.24/libnids-1.24.tar.gz
BuildRequires:  glibc-devel
%if 0%{?suse_version} <= 1130
BuildRequires:  libnet
BuildRequires:  glib2-devel
%else
BuildRequires:  libnet-devel
BuildRequires:  pkgconfig(glib-2.0)
%endif
BuildRequires:  libpcap-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libnids is an implementation of an E-component of Network Intrusion Detection
System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
defragmentation, TCP stream assembly and TCP port scan detection.

%package -n libnids1_24
Summary:        Network Intrusion Detection System Library
Group:          System/Libraries

%description -n libnids1_24
Libnids is an implementation of an E-component of Network Intrusion Detection
System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
defragmentation, TCP stream assembly and TCP port scan detection.

%package devel
Summary:        Network Intrusion Detection System Library
Group:          Development/Libraries/C and C++
%if 0%{?suse_version} <= 1130
BuildRequires:  libnet
%else
Requires:       libnet1
%endif
Requires:       libnids1_24 = %{version}
Requires:       libpcap-devel
%if 0%{?suse_version} <= 1130
Requires:       glib2-devel
%else
Requires:       pkgconfig(glib-2.0)
%endif

%description devel
Libnids is an implementation of an E-component of Network Intrusion Detection
System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
defragmentation, TCP stream assembly and TCP port scan detection.

%prep
%setup -q

%build
%configure \
	 --enable-shared

make %{?_smp_mflags}

%install
make install_prefix="%{buildroot}" install

%post   -n libnids1_24 -p /sbin/ldconfig

%postun -n libnids1_24 -p /sbin/ldconfig

%files -n libnids1_24
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS MISC README
%{_libdir}/libnids.so.%{soname}

%files devel
%defattr(-,root,root)
%{_includedir}/nids.h
%{_libdir}/libnids.so
%{_libdir}/libnids.a
%doc %{_mandir}/man3/libnids.3%{ext_man}

%changelog
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Thu Oct  6 2011 malcolmlewis@opensuse.org
- Spec file clean up via spec-cleaner.
- Modify build requires for libnet and libnet-devel due to
  package split.
- Add direct link to source tarball.
- Update spec file License field to GPL-2.0+ to conform with
  spdx.org identifier.
* Sat Mar 27 2010 pascal.bleser@opensuse.org
- initial package (1.24)
